/*
 * sdl.c
 * sdl interfaces -- based on svga.c 
 *
 * (C) 2001 Damian Gryski <dgryski@uwaterloo.ca>
 * Joystick code contributed by David Lau
 * Sound code added by Laguna
 *
 * Licensed under the GPLv2, or later.
 */

#include <stdlib.h>
#include <stdio.h>

#include <SDL/SDL.h>

#include "SFont.h"
#include "font8px.h"


static char fps_str[20] = {0};

static SDL_Surface *font_bitmap_surface=NULL;
static SFont_Font* Font=NULL;

SDL_Rect myrect;

void vid_init()
{
    font_bitmap_surface = get_default_data_font();
    Font = SFont_InitFont(font_bitmap_surface);
    if(!Font)
    {
        die("An error occured while setting up font.");
    }
    myrect.x = 0;
    myrect.y = 0;
    myrect.w = 320;
    myrect.h = SFont_TextHeight(Font);
}

display()
{
  snprintf(fps_str, 19, "Test Message!");
  myrect.w = SFont_TextWidth(Font, fps_str);
  SDL_FillRect(screen, &myrect, 0 );
  SFont_Write(screen, Font, 0,0, fps_str);
}
